summaryrefslogtreecommitdiff
path: root/source3/script/tests
diff options
context:
space:
mode:
authorVolker Lendecke <vl@samba.org>2012-02-02 18:30:40 +0100
committerVolker Lendecke <vl@samba.org>2012-02-02 20:35:27 +0100
commitc251667b4f799544b4d965492a9ce5f61ebefb61 (patch)
treedc5f02466ea82493d36112cadba5db92f08a3970 /source3/script/tests
parentbbde29824179fc78ee923ccd24e4039b96eb866d (diff)
downloadsamba-c251667b4f799544b4d965492a9ce5f61ebefb61.tar.gz
samba-c251667b4f799544b4d965492a9ce5f61ebefb61.tar.bz2
samba-c251667b4f799544b4d965492a9ce5f61ebefb61.zip
s3: Move stream_depot test to script/tests
Diffstat (limited to 'source3/script/tests')
-rwxr-xr-xsource3/script/tests/stream-depot/run.sh9
-rw-r--r--source3/script/tests/stream-depot/smb.conf5
-rw-r--r--source3/script/tests/stream-depot/vfstest.cmd5
3 files changed, 19 insertions, 0 deletions
diff --git a/source3/script/tests/stream-depot/run.sh b/source3/script/tests/stream-depot/run.sh
new file mode 100755
index 0000000000..f1e75fbf71
--- /dev/null
+++ b/source3/script/tests/stream-depot/run.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+rm -r .streams
+../../../bin/vfstest -s smb.conf -f vfstest.cmd
+NUM=`find .streams | wc -l`
+if [ $NUM -ne 3 ] ; then
+ echo "streams_depot left ${NUM} in .streams, expected 3"
+ exit 1
+fi
+exit 0
diff --git a/source3/script/tests/stream-depot/smb.conf b/source3/script/tests/stream-depot/smb.conf
new file mode 100644
index 0000000000..426d23c949
--- /dev/null
+++ b/source3/script/tests/stream-depot/smb.conf
@@ -0,0 +1,5 @@
+[tmp]
+# "path" is ignored by vfstest, it's always set to $(pwd)
+path = /tmp
+writable = yes
+vfs objects = streams_depot xattr_tdb
diff --git a/source3/script/tests/stream-depot/vfstest.cmd b/source3/script/tests/stream-depot/vfstest.cmd
new file mode 100644
index 0000000000..1400546cf7
--- /dev/null
+++ b/source3/script/tests/stream-depot/vfstest.cmd
@@ -0,0 +1,5 @@
+connect
+mkdir x
+open x:y RC 0770
+unlink x:y
+rmdir x